<?php

namespace App\Classes\Modules\ServiceTypes\Standards\Validators;


use App\Classes\General\Abstracts\AbstractValidation;
use App\Classes\Modules\ServiceTypes\DataTransferObjects\ServiceTypeObject;

class ServiceTypeValidation extends AbstractValidation
{


    /**
     * @param ServiceTypeObject $object
     * @return array
     */
    protected function data($object): array {
        return [
            'name' => $object->getName()
        ];
    }

    /**
     * @return array
     */
    protected function rules(): array {
        return [
            'name' => 'required'
        ];
    }

    /**
     * @return array
     */
    protected function messages(): array {
        return [];
    }

}